[FRPythoneers] Python 2.5.1 to work with Red Hat up2date

Bill Simons BSimons at geographix.com
Mon Jul 23 17:04:50 MDT 2007


Red Hat installs a custom module "rhn" in the site-packages directory.
It also appears to depend on other modules: "elementtree", "rpmUtils",
maybe others.  You'll find that most of the system admin scripts are
broken after your update.

I've never been able to figure out exactly what the dependencies are and
how to transfer them to a new Python installation.  I'd be interested to
know if anyone has figured this out.

What I do is keep the original python that came with the distribution
and install the latest one in a separate location with the executable
link named python25, or whatever.

-Bill


-----Original Message-----
From: frpythoneers-bounces at lists.community.tummy.com
[mailto:frpythoneers-bounces at lists.community.tummy.com] On Behalf Of
Chris Bidwell
Sent: Monday, July 23, 2007 4:04 PM
To: frpythoneers at lists.community.tummy.com
Subject: [FRPythoneers] Python 2.5.1 to work with Red Hat up2date

Hi all,

I'm trying to update python from 2.3.4 to 2.5.1 and after doing so, 
up2date fails to work.  Can someone please shed some light on this for 
me?  Any ideas on how I get up2date to work properly with python2.5.1?

Thanks in advance,
Chris

_______________________________________________
This message sent by the FRPythoneers mailing list.
Unsubscribe: echo unsubscribe |
FRPythoneers-request at lists.community.tummy.com
URL: http://lists.community.tummy.com/mailman/listinfo/frpythoneers



More information about the FRPythoneers mailing list